import * as $dara from '@darabonba/typescript';
export declare class ModifyDedicatedHostAutoRenewAttributeResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 2A4EA075-CB5B-41B7-B0EB-70D339F6****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
